## r-cran-inline 0.3.5

=== DESCRIPTION ===
Package: inline
Version: 0.3.5
Date: 02 June 2010
Title: Inline C, C++, Fortran function calls from R
Author: Oleg Sklyar, Duncan Murdoch, Mike Smith, Dirk Eddelbuettel, Romain Francois
Maintainer: Oleg Sklyar <oleg.sklyar@googlemail.com>
Depends: R (>= 2.4.0), methods
Suggests: Rcpp (>= 0.8.0)
Description: Functionality to dynamically define R functions and S4 methods with in-lined C, C++ or Fortran code supporting .C and .Call calling conventions.
License: LGPL
URL: http://www.ebi.ac.uk/~osklyar/inline/
Copyright: Oleg Sklyar, 2005-2010
LazyLoad: yes
Packaged: 2010-06-02 22:30:20 UTC; edd

## r-cran-inline 0.3.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: inline
-Version: 0.3.5
-Date: 02 June 2010
+Version: 0.3.6
+Date: 2010-07-29
 Title: Inline C, C++, Fortran function calls from R
 Author: Oleg Sklyar, Duncan Murdoch, Mike Smith, Dirk Eddelbuettel, Romain Francois
 Maintainer: Oleg Sklyar <oleg.sklyar@googlemail.com>
@@ -11,4 +11,4 @@
 URL: http://www.ebi.ac.uk/~osklyar/inline/
 Copyright: Oleg Sklyar, 2005-2010
 LazyLoad: yes
-Packaged: 2010-06-02 22:30:20 UTC; edd
+Packaged: 2010-07-30 11:53:22 UTC; edd

## r-cran-inline 0.3.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: inline
-Version: 0.3.6
-Date: 2010-07-29
+Version: 0.3.8
+Date: 2010-12-07
 Title: Inline C, C++, Fortran function calls from R
 Author: Oleg Sklyar, Duncan Murdoch, Mike Smith, Dirk Eddelbuettel, Romain Francois
 Maintainer: Oleg Sklyar <oleg.sklyar@googlemail.com>
@@ -11,4 +11,4 @@
 URL: http://www.ebi.ac.uk/~osklyar/inline/
 Copyright: Oleg Sklyar, 2005-2010
 LazyLoad: yes
-Packaged: 2010-07-30 11:53:22 UTC; edd
+Packaged: 2010-12-08 04:08:01.69238 UTC; edd

## r-cran-inline 0.3.10

=== DESCRIPTION ===
Package: inline
Version: 0.3.10
Date: $Date: 2012-10-03 07:20:44 -0500 (Wed, 03 Oct 2012) $
Title: Inline C, C++, Fortran function calls from R
Author: Oleg Sklyar, Duncan Murdoch, Mike Smith, Dirk Eddelbuettel, Romain Francois
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Depends: R (>= 2.4.0), methods
Suggests: Rcpp (>= 0.8.0)
Description: Functionality to dynamically define R functions and S4 methods with in-lined C, C++ or Fortran code supporting .C and .Call calling conventions.
License: LGPL
Copyright: Oleg Sklyar, 2005-2010
LazyLoad: yes
Packaged: 2012-10-03 12:20:52.943252 UTC; edd

## r-cran-inline 0.3.12

=== DESCRIPTION ===
Package: inline
Version: 0.3.12
Date: $Date: 2013-06-12 06:50:22 -0500 (Wed, 12 Jun 2013) $
Title: Inline C, C++, Fortran function calls from R
Author: Oleg Sklyar, Duncan Murdoch, Mike Smith, Dirk Eddelbuettel, Romain Francois
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Depends: R (>= 2.4.0), methods
Suggests: Rcpp (>= 0.8.0)
Description: Functionality to dynamically define R functions and S4 methods
  with in-lined C, C++ or Fortran code supporting .C and .Call calling conventions.
License: LGPL
Copyright: Oleg Sklyar, 2005-2010
LazyLoad: yes
Packaged: 2013-06-12 11:50:25.807883 UTC; edd

## r-cran-inline 0.3.13

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: inline
-Version: 0.3.12
-Date: $Date: 2013-06-12 06:50:22 -0500 (Wed, 12 Jun 2013) $
+Version: 0.3.13
+Date: $Date: 2013-08-08 17:25:19 -0500 (Thu, 08 Aug 2013) $
 Title: Inline C, C++, Fortran function calls from R
 Author: Oleg Sklyar, Duncan Murdoch, Mike Smith, Dirk Eddelbuettel, Romain Francois
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
@@ -11,4 +11,4 @@
 License: LGPL
 Copyright: Oleg Sklyar, 2005-2010
 LazyLoad: yes
-Packaged: 2013-06-12 11:50:25.807883 UTC; edd
+Packaged: 2013-08-09 11:23:32.75377 UTC; edd

## r-cran-inline 0.3.14

=== DESCRIPTION ===
Package: inline
Version: 0.3.14
Date: 2015-04-11
Title: Functions to Inline C, C++, Fortran Function Calls from R
Author: Oleg Sklyar, Duncan Murdoch, Mike Smith, Dirk Eddelbuettel, 
 Romain Francois, Karline Soetaert
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Depends: R (>= 2.4.0), methods
Suggests: Rcpp (>= 0.11.0)
Description: Functionality to dynamically define R functions and S4 methods
  with inlined C, C++ or Fortran code supporting .C and .Call calling conventions.
License: LGPL
Copyright: Oleg Sklyar, 2005-2010 and other authors per their commits
LazyLoad: yes
BugReports: https://github.com/eddelbuettel/inline/issues
NeedsCompilation: no
Packaged: 2015-04-12 14:35:08.942414 UTC; edd

## r-cran-inline 0.3.15

=== DESCRIPTION ===
Package: inline
Version: 0.3.15
Date: 2018-05-18
Title: Functions to Inline C, C++, Fortran Function Calls from R
Author: Oleg Sklyar, Duncan Murdoch, Mike Smith, Dirk Eddelbuettel, 
 Romain Francois, Karline Soetaert
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Depends: R (>= 2.4.0)
Imports: methods
Suggests: Rcpp (>= 0.11.0)
Description: Functionality to dynamically define R functions and S4 methods
 with 'inlined' C, C++ or Fortran code supporting the .C and .Call calling
 conventions.
License: LGPL
Copyright: Oleg Sklyar, 2005-2010 and other authors per their commits
LazyLoad: yes
BugReports: https://github.com/eddelbuettel/inline/issues
NeedsCompilation: no
Packaged: 2018-05-18 11:46:58.172731 UTC; edd
Repository: CRAN
Date/Publication: 2018-05-18 12:40:51 UTC

=== debian/changelog ===
r-cran-inline (0.3.15-3) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 15 May 2020 21:36:12 -0500

r-cran-inline (0.3.15-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 02 Jun 2018 10:51:20 -0500

r-cran-inline (0.3.15-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Depends: on ${misc:Depends}
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 19 May 2018 18:03:41 -0500

r-cran-inline (0.3.14-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * No-change rebuild for r-api-3.4 transition

 -- Graham Inggs <ginggs@debian.org>  Tue, 03 Oct 2017 12:04:03 +0000

r-cran-inline (0.3.14-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 15 Apr 2015 09:07:17 -0500

r-cran-inline (0.3.13-1) unstable; urgency=low

  * New upstream version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 08 Aug 2013 17:16:02 -0500

r-cran-inline (0.3.12-1) unstable; urgency=low

  * New upstream version

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 12 Jun 2013 06:48:15 -0500

r-cran-inline (0.3.11-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version

  * (Re-)building with R 3.0.0

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 05 Apr 2013 07:32:36 -0500

r-cran-inline (0.3.11-1) unstable; urgency=low

  * New upstream version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Feb 2013 21:00:03 -0600

r-cran-inline (0.3.10-1) unstable; urgency=low

  * New upstream version

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Oct 2012 12:53:29 -0500

r-cran-inline (0.3.9-1) unstable; urgency=low

  * New upstream version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 02 Oct 2012 17:17:57 -0500

r-cran-inline (0.3.8-1) unstable; urgency=low

  * New upstream version

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 07 Dec 2010 22:04:22 -0600

r-cran-inline (0.3.7-1) unstable; urgency=low

  * New upstream version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 02 Nov 2010 19:56:03 -0500

r-cran-inline (0.3.6-1) unstable; urgency=low

  * New upstream version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 30 Jul 2010 06:52:25 -0500

r-cran-inline (0.3.5-1) unstable; urgency=low

  * New upstream version released this morning

  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 02 Jun 2010 17:27:40 -0500

r-cran-inline (0.3.4-1) unstable; urgency=low

  * Initial Debian package				(Closes: #580667)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 07 May 2010 10:16:33 -0500

=== debian/control ===
Source: r-cran-inline
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-inline
Vcs-Git: https://salsa.debian.org/edd/r-cran-inline.git
Homepage: https://cran.r-project.org/package=inline

Package: r-cran-inline
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}, 
Description: GNU R package to inline C, C++, Fortran functions from R
 This package provides functionality to dynamically define R functions and S4
 methods with in-lined C, C++ or Fortran code supporting .C and .Call calling 
 conventions.

## r-cran-inline 0.3.17

=== DESCRIPTION ===
Package: inline
Version: 0.3.17
Date: 2020-11-30
Title: Functions to Inline C, C++, Fortran Function Calls from R
Author: Oleg Sklyar, Duncan Murdoch, Mike Smith, Dirk Eddelbuettel, 
 Romain Francois, Karline Soetaert, Johannes Ranke
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Imports: methods
Suggests: Rcpp (>= 0.11.0), tinytest
Description: Functionality to dynamically define R functions and S4 methods
 with 'inlined' C, C++ or Fortran code supporting the .C and .Call calling
 conventions.
License: LGPL
Copyright: Oleg Sklyar, 2005-2010 and other authors per their commits
LazyLoad: yes
BugReports: https://github.com/eddelbuettel/inline/issues
NeedsCompilation: no
Packaged: 2020-11-30 21:07:24 UTC; edd
Repository: CRAN
Date/Publication: 2020-12-01 00:50:17 UTC

=== debian/changelog ===
r-cran-inline (0.3.17-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 11)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 30 Nov 2020 18:56:03 -0600

r-cran-inline (0.3.16-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 10)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 06 Sep 2020 11:17:27 -0500

=== debian/control ===
Source: r-cran-inline
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), dh-r
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-inline
Vcs-Git: https://salsa.debian.org/edd/r-cran-inline.git
Homepage: https://cran.r-project.org/package=inline

Package: r-cran-inline
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}
Description: GNU R package to inline C, C++, Fortran functions from R
 This package provides functionality to dynamically define R functions and S4
 methods with in-lined C, C++ or Fortran code supporting .C and .Call calling 
 conventions.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-inline package
# Copyright 2005 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-inline 0.3.19

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: inline
-Version: 0.3.17
-Date: 2020-11-30
+Version: 0.3.19
+Date: 2021-05-25
 Title: Functions to Inline C, C++, Fortran Function Calls from R
 Author: Oleg Sklyar, Duncan Murdoch, Mike Smith, Dirk Eddelbuettel, 
  Romain Francois, Karline Soetaert, Johannes Ranke
@@ -13,8 +13,10 @@
 License: LGPL
 Copyright: Oleg Sklyar, 2005-2010 and other authors per their commits
 LazyLoad: yes
+URL: https://github.com/eddelbuettel/inline,
+        https://dirk.eddelbuettel.com/code/inline.html
 BugReports: https://github.com/eddelbuettel/inline/issues
 NeedsCompilation: no
-Packaged: 2020-11-30 21:07:24 UTC; edd
+Packaged: 2021-05-25 12:45:08 UTC; edd
 Repository: CRAN
-Date/Publication: 2020-12-01 00:50:17 UTC
+Date/Publication: 2021-05-31 08:40:02 UTC

=== debian/changelog ===
r-cran-inline (0.3.19-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Aug 2021 15:40:42 -0500

r-cran-inline (0.3.19-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 05 Jun 2021 12:45:39 -0500

r-cran-inline (0.3.18-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

  * debian/control: Set Build-Depends: to recent R version
  * debian/control: Set Standards-Version: to current version  

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 23 May 2021 16:34:52 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), dh-r
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-inline
 Vcs-Git: https://salsa.debian.org/edd/r-cran-inline.git
 Homepage: https://cran.r-project.org/package=inline

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/inline_([-0-9\.]*)\.tar.gz

## r-cran-inline 0.3.21

=== DESCRIPTION ===
Package: inline
Version: 0.3.21
Date: 2025-01-08
Title: Functions to Inline C, C++, Fortran Function Calls from R
Authors@R: c(person("Oleg", "Sklyar", role = "aut"),
             person("Dirk", "Eddelbuettel", role = c("aut", "cre"), email = "edd@debian.org",
                    comment = c(ORCID = "0000-0001-6419-907X")),
             person("Romain", "Francois", role = "aut",
                    comment = c(ORCID = "0000-0002-2444-4226")),
             person("Mike", "Smith", role = "ctb"),
             person("Duncan", "Murdoch", role = "ctb"),
             person("Karline", "Soetaert", role = "ctb",
                    comment = c(ORCID = "0000-0003-4603-7100")),
             person("Johannes", "Ranke", role = "ctb",
                    comment = c(ORCID = "0000-0003-4371-6538")))
Imports: methods
Suggests: Rcpp, tinytest
Description: Functionality to dynamically define R functions and S4 methods
 with 'inlined' C, C++ or Fortran code supporting the .C and .Call calling
 conventions.
License: LGPL
Copyright: Oleg Sklyar, 2005-2010 and other authors per their commits
LazyLoad: yes
URL: https://github.com/eddelbuettel/inline,
        https://dirk.eddelbuettel.com/code/inline.html
BugReports: https://github.com/eddelbuettel/inline/issues
NeedsCompilation: no
Packaged: 2025-01-08 22:04:33 UTC; edd
Author: Oleg Sklyar [aut],
  Dirk Eddelbuettel [aut, cre] (<https://orcid.org/0000-0001-6419-907X>),
  Romain Francois [aut] (<https://orcid.org/0000-0002-2444-4226>),
  Mike Smith [ctb],
  Duncan Murdoch [ctb],
  Karline Soetaert [ctb] (<https://orcid.org/0000-0003-4603-7100>),
  Johannes Ranke [ctb] (<https://orcid.org/0000-0003-4371-6538>)
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Repository: CRAN
Date/Publication: 2025-01-09 13:00:02 UTC

=== debian/changelog ===
r-cran-inline (0.3.21-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 09 Jan 2025 11:42:14 -0600

r-cran-inline (0.3.20-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to recent R version
  * debian/control: Set Standards-Version: to current version  
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 10 Nov 2024 11:46:27 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.2), dh-r
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-inline
 Vcs-Git: https://salsa.debian.org/edd/r-cran-inline.git
 Homepage: https://cran.r-project.org/package=inline
